Bug 1085956 - Topology Agents screen flickers on refresh
Summary: Topology Agents screen flickers on refresh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.2
Hardware: All
OS: All
unspecified
high
Target Milestone: ER02
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-09 18:02 UTC by dsteigne
Modified: 2018-12-05 18:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A bug with viewing the list of more than 50 active agents in the Topology Agents screen (Administration > Topology > Agents) caused the list to flicker while the remaining records were being loaded into the view. While this flickering state was occurring, the total agent count flicked between two row count values. The screen did not show all agents when it was initially loaded, which caused incorrect information to be displayed to users. A fix to the Topology Agents screen fixes the load issue, and displays all rows when initially loaded.
Clone Of:
Environment:
Last Closed: 2014-12-11 14:00:29 UTC
Type: Bug


Attachments (Terms of Use)
sql to insert 85 agents (46.79 KB, text/x-sql)
2014-04-09 18:02 UTC, dsteigne
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 784963 None None None Never

Description dsteigne 2014-04-09 18:02:46 UTC
Created attachment 884612 [details]
sql to insert 85 agents

Description of problem:
Topology Agents screen flickers on refresh.  If you have more than 50 agents, when you first navigate to Administration > Topology > Agents screen you only see 50 listed.  You then need to click on Refresh, then the screen will flicker several times and the row count will even change at the bottom

Version-Release number of selected component (if applicable):
3.2.0

How reproducible:
Always

Steps to Reproduce:
1. Ener more than 50 agents into JBoss ON Server.  you can use sql script attached to bug to just insert agents.
2. Navigate to Administration > Topology > Agents. Notice the Total Rows at the bottom are 50, click Refresh.  It stays at 50 until you scroll to the bottom of the list, hit Refresh again, now it will start flickering and watch the Total Rows 

Actual results:
Flickering and inaccurate counts

Expected results:
Initial screen should list all the agents

Additional info:

Comment 1 Lukas Krejci 2014-08-29 17:07:20 UTC
Patternfly theme doesn't seem to express that problem.

Moving straight to ON_QA to formally verify.


Note You need to log in before you can comment on or make changes to this bug.